name: sft
channels:
  - pytorch
  - nvidia
  - conda-forge
  - defaults
dependencies:
  - _libgcc_mutex=0.1=conda_forge
  - _openmp_mutex=4.5=2_gnu
  - accelerate=1.0.1=pyhd8ed1ab_0
  - aiofiles=23.2.1=pyhd8ed1ab_0
  - aiohappyeyeballs=2.4.4=pyhd8ed1ab_1
  - aiohttp=3.11.11=py311h2dc5d0c_0
  - aiosignal=1.3.2=pyhd8ed1ab_0
  - annotated-types=0.7.0=pyhd8ed1ab_1
  - anyio=4.7.0=pyhd8ed1ab_0
  - aom=3.9.1=hac33072_0
  - attrs=24.3.0=pyh71513ae_0
  - av=12.3.0=py311hb142827_0
  - aws-c-auth=0.7.22=h96bc93b_2
  - aws-c-cal=0.6.14=h88a6e22_1
  - aws-c-common=0.9.19=h4ab18f5_0
  - aws-c-compression=0.2.18=h83b837d_6
  - aws-c-event-stream=0.4.2=ha47c788_12
  - aws-c-http=0.8.1=h29d6fba_17
  - aws-c-io=0.14.8=h21d4f22_5
  - aws-c-mqtt=0.10.4=h759edc4_4
  - aws-c-s3=0.5.9=h594631b_3
  - aws-c-sdkutils=0.1.16=h83b837d_2
  - aws-checksums=0.1.18=h83b837d_6
  - aws-crt-cpp=0.26.9=he3a8b3b_0
  - aws-sdk-cpp=1.11.329=hba8bd5f_3
  - blas=1.0=mkl
  - brotli=1.1.0=hb9d3cd8_2
  - brotli-bin=1.1.0=hb9d3cd8_2
  - brotli-python=1.0.9=py311h6a678d5_8
  - bzip2=1.0.8=h5eee18b_6
  - c-ares=1.34.4=hb9d3cd8_0
  - ca-certificates=2024.12.14=hbcca054_0
  - cairo=1.18.0=h3faef2a_0
  - certifi=2024.12.14=pyhd8ed1ab_0
  - charset-normalizer=3.3.2=pyhd3eb1b0_0
  - click=8.1.8=pyh707e725_0
  - colorama=0.4.6=pyhd8ed1ab_1
  - contourpy=1.3.1=py311hd18a35c_0
  - cuda-cudart=12.1.105=0
  - cuda-cupti=12.1.105=0
  - cuda-libraries=12.1.0=0
  - cuda-nvrtc=12.1.105=0
  - cuda-nvtx=12.1.105=0
  - cuda-opencl=12.6.77=0
  - cuda-runtime=12.1.0=0
  - cuda-version=12.6=3
  - cycler=0.12.1=pyhd8ed1ab_1
  - cyrus-sasl=2.1.27=h9033bb2_6
  - datasets=3.1.0=pyhd8ed1ab_1
  - dav1d=1.2.1=hd590300_0
  - dbus=1.13.18=hb2f20db_0
  - dill=0.3.8=pyhd8ed1ab_0
  - dnspython=2.7.0=pyhff2d567_1
  - docstring_parser=0.16=pyhd8ed1ab_0
  - einops=0.8.0=pyhd8ed1ab_1
  - email-validator=2.2.0=pyhd8ed1ab_1
  - email_validator=2.2.0=hd8ed1ab_1
  - exceptiongroup=1.2.2=pyhd8ed1ab_1
  - expat=2.6.4=h5888daf_0
  - fastapi=0.115.6=pyhd8ed1ab_0
  - fastapi-cli=0.0.7=pyhd8ed1ab_0
  - ffmpeg=6.1.1=gpl_he44c6f3_112
  - ffmpy=0.3.0=pyhb6f538c_0
  - filelock=3.13.1=py311h06a4308_0
  - fire=0.7.0=pyhd8ed1ab_0
  - font-ttf-dejavu-sans-mono=2.37=hab24e00_0
  - font-ttf-inconsolata=3.000=h77eed37_0
  - font-ttf-source-code-pro=2.038=h77eed37_0
  - font-ttf-ubuntu=0.83=h77eed37_3
  - fontconfig=2.14.2=h14ed4e7_0
  - fonts-conda-ecosystem=1=0
  - fonts-conda-forge=1=0
  - fonttools=4.55.3=py311h2dc5d0c_1
  - freetype=2.12.1=h4a9f257_0
  - fribidi=1.0.10=h36c2ea0_0
  - frozendict=2.4.6=py311h9ecbd09_0
  - frozenlist=1.5.0=py311h9ecbd09_0
  - fsspec=2024.9.0=pyhff2d567_0
  - gflags=2.2.2=h5888daf_1005
  - glib=2.80.2=hf974151_0
  - glib-tools=2.80.2=hb6ce0ca_0
  - glog=0.7.1=hbabe93e_0
  - gmp=6.3.0=hac33072_2
  - gmpy2=2.1.2=py311hc9b5ff0_0
  - gnutls=3.7.9=hb077bed_0
  - gradio=4.44.1=pyhd8ed1ab_0
  - gradio-client=1.3.0=pyhd8ed1ab_1
  - graphite2=1.3.13=h59595ed_1003
  - gst-plugins-base=1.14.1=h6a678d5_1
  - gstreamer=1.14.1=h5eee18b_1
  - h11=0.14.0=pyhd8ed1ab_1
  - h2=4.1.0=pyhd8ed1ab_1
  - harfbuzz=8.5.0=hfac3d4d_0
  - hpack=4.0.0=pyhd8ed1ab_1
  - httpcore=1.0.7=pyh29332c3_1
  - httptools=0.6.4=py311h9ecbd09_0
  - httpx=0.28.1=pyhd8ed1ab_0
  - huggingface_hub=0.26.5=pyhd8ed1ab_1
  - hyperframe=6.0.1=pyhd8ed1ab_1
  - icu=73.2=h59595ed_0
  - idna=3.7=py311h06a4308_0
  - importlib-resources=6.4.5=pyhd8ed1ab_1
  - importlib_resources=6.4.5=pyhd8ed1ab_1
  - intel-openmp=2023.1.0=hdb19cb5_46306
  - jinja2=3.1.4=py311h06a4308_1
  - joblib=1.4.2=pyhd8ed1ab_1
  - jpeg=9e=h5eee18b_3
  - keyutils=1.6.1=h166bdaf_0
  - kiwisolver=1.4.7=py311hd18a35c_0
  - krb5=1.20.1=h81ceb04_0
  - lame=3.100=h7b6447c_0
  - lcms2=2.16=hb9589c4_0
  - ld_impl_linux-64=2.40=h12ee557_0
  - lerc=4.0.0=h6a678d5_0
  - libabseil=20240116.2=cxx17_he02047a_1
  - libarrow=16.1.0=hcb6531f_6_cpu
  - libarrow-acero=16.1.0=hac33072_6_cpu
  - libarrow-dataset=16.1.0=hac33072_6_cpu
  - libarrow-substrait=16.1.0=h7e0c224_6_cpu
  - libass=0.17.1=h8fe9dca_1
  - libblas=3.9.0=1_h86c2bf4_netlib
  - libbrotlicommon=1.1.0=hb9d3cd8_2
  - libbrotlidec=1.1.0=hb9d3cd8_2
  - libbrotlienc=1.1.0=hb9d3cd8_2
  - libcblas=3.9.0=8_h3b12eaf_netlib
  - libclang=14.0.6=default_h7634d5b_1
  - libclang13=14.0.6=default_h9986a30_1
  - libcrc32c=1.1.2=h9c3ff4c_0
  - libcublas=12.1.0.26=0
  - libcufft=11.0.2.4=0
  - libcufile=1.11.1.6=0
  - libcups=2.3.3=h36d4200_3
  - libcurand=10.3.7.77=0
  - libcurl=8.11.1=hc9e6f67_0
  - libcusolver=11.4.4.55=0
  - libcusparse=12.0.2.55=0
  - libdeflate=1.22=h5eee18b_0
  - libdrm=2.4.124=hb9d3cd8_0
  - libedit=3.1.20230828=h5eee18b_0
  - libev=4.33=hd590300_2
  - libevent=2.1.12=hf998b51_1
  - libexpat=2.6.4=h5888daf_0
  - libffi=3.4.4=h6a678d5_1
  - libgcc=14.2.0=h77fa898_1
  - libgcc-ng=14.2.0=h69a702a_1
  - libgfortran=14.2.0=h69a702a_1
  - libgfortran-ng=14.2.0=h69a702a_1
  - libgfortran5=14.2.0=hd5240d6_1
  - libglib=2.80.2=hf974151_0
  - libgomp=14.2.0=h77fa898_1
  - libgoogle-cloud=2.24.0=h2736e30_0
  - libgoogle-cloud-storage=2.24.0=h3d9a0c8_0
  - libgrpc=1.62.2=h15f2491_0
  - libhwloc=2.11.2=default_he43201b_1000
  - libiconv=1.17=hd590300_2
  - libidn2=2.3.4=h5eee18b_0
  - libjpeg-turbo=2.0.0=h9bf148f_0
  - liblapack=3.9.0=8_h3b12eaf_netlib
  - libllvm14=14.0.6=hcd5def8_4
  - libnghttp2=1.58.0=h47da74e_1
  - libnpp=12.0.2.50=0
  - libnsl=2.0.1=hd590300_0
  - libntlm=1.8=hb9d3cd8_0
  - libnvjitlink=12.1.105=0
  - libnvjpeg=12.1.1.14=0
  - libopenvino=2024.1.0=h2da1b83_7
  - libopenvino-auto-batch-plugin=2024.1.0=hb045406_7
  - libopenvino-auto-plugin=2024.1.0=hb045406_7
  - libopenvino-hetero-plugin=2024.1.0=h5c03a75_7
  - libopenvino-intel-cpu-plugin=2024.1.0=h2da1b83_7
  - libopenvino-intel-gpu-plugin=2024.1.0=h2da1b83_7
  - libopenvino-intel-npu-plugin=2024.1.0=he02047a_7
  - libopenvino-ir-frontend=2024.1.0=h5c03a75_7
  - libopenvino-onnx-frontend=2024.1.0=h07e8aee_7
  - libopenvino-paddle-frontend=2024.1.0=h07e8aee_7
  - libopenvino-pytorch-frontend=2024.1.0=he02047a_7
  - libopenvino-tensorflow-frontend=2024.1.0=h39126c6_7
  - libopenvino-tensorflow-lite-frontend=2024.1.0=he02047a_7
  - libopus=1.3.1=h7f98852_1
  - libparquet=16.1.0=h6a7eafb_6_cpu
  - libpciaccess=0.18=hd590300_0
  - libpng=1.6.39=h5eee18b_0
  - libpq=17.2=hdbd6064_0
  - libprotobuf=4.25.3=h08a7969_0
  - libre2-11=2023.09.01=h5a48ba9_2
  - libsentencepiece=0.2.0=hc656cff_4
  - libsqlite=3.46.0=hde9e2c9_0
  - libssh2=1.11.1=h251f7ec_0
  - libstdcxx=14.2.0=hc0a3c3a_1
  - libstdcxx-ng=14.2.0=h4852527_1
  - libtasn1=4.19.0=h5eee18b_0
  - libthrift=0.19.0=hb90f79a_1
  - libtiff=4.5.1=hffd6297_1
  - libunistring=0.9.10=h27cfd23_0
  - libutf8proc=2.8.0=hf23e847_1
  - libuuid=2.38.1=h0b41bf4_0
  - libuv=1.49.2=hb9d3cd8_0
  - libva=2.21.0=h4ab18f5_2
  - libvpx=1.14.1=hac33072_0
  - libwebp-base=1.3.2=h5eee18b_1
  - libxcb=1.15=h0b41bf4_0
  - libxcrypt=4.4.36=hd590300_1
  - libxkbcommon=1.7.0=h662e7e4_0
  - libxml2=2.12.7=hc051c1a_1
  - libxslt=1.1.39=h76b75d6_0
  - libzlib=1.2.13=h4ab18f5_6
  - llvm-openmp=14.0.6=h9e868ea_0
  - lxml=5.2.2=py311hc0a218f_0
  - lz4-c=1.9.4=h6a678d5_1
  - markdown-it-py=3.0.0=pyhd8ed1ab_1
  - markupsafe=2.1.3=py311h5eee18b_0
  - matplotlib=3.9.1=py311h38be061_1
  - matplotlib-base=3.9.1=py311h74b4f7c_2
  - mdurl=0.1.2=pyhd8ed1ab_1
  - mkl=2023.1.0=h213fc3f_46344
  - mkl-service=2.4.0=py311h5eee18b_1
  - mkl_fft=1.3.11=py311h5eee18b_0
  - mkl_random=1.2.8=py311ha02d727_0
  - mpc=1.1.0=h10f8cd9_1
  - mpfr=4.0.2=hb69a4c5_1
  - mpmath=1.3.0=py311h06a4308_0
  - multidict=6.1.0=py311h2dc5d0c_2
  - multiprocess=0.70.16=py311h9ecbd09_1
  - munkres=1.1.4=pyh9f0ad1d_0
  - mysql=8.4.0=h29a9f33_1
  - ncurses=6.4=h6a678d5_0
  - nettle=3.9.1=h7ab15ed_0
  - networkx=3.2.1=py311h06a4308_0
  - nltk=3.9.1=pyhd8ed1ab_1
  - numpy=2.0.1=py311h08b1b3b_1
  - numpy-base=2.0.1=py311hf175353_1
  - ocl-icd=2.3.2=hb9d3cd8_2
  - opencl-headers=2024.10.24=h5888daf_0
  - openh264=2.4.1=h59595ed_0
  - openjpeg=2.5.2=he7f1fd0_0
  - openldap=2.6.5=h389dcaa_0
  - openssl=3.4.0=hb9d3cd8_0
  - orc=2.0.1=h17fec99_1
  - orjson=3.10.12=py311h9e33e62_0
  - p11-kit=0.24.1=hc5aa10d_0
  - packaging=24.2=pyhd8ed1ab_2
  - pandas=2.2.3=py311h7db5c69_1
  - pcre2=10.43=hcad00b1_0
  - peft=0.12.0=pyhd8ed1ab_0
  - pillow=10.4.0=py311h5eee18b_0
  - pip=24.2=py311h06a4308_0
  - pixman=0.44.2=h29eaf8c_0
  - ply=3.11=pyhd8ed1ab_3
  - portalocker=3.0.0=py311h38be061_0
  - propcache=0.2.1=py311h9ecbd09_0
  - protobuf=4.25.3=py311hbffca5d_1
  - psutil=6.1.1=py311h9ecbd09_0
  - pthread-stubs=0.4=hb9d3cd8_1002
  - pugixml=1.14=h59595ed_0
  - pyarrow=16.1.0=py311hbd00459_2
  - pyarrow-core=16.1.0=py311hf1d6e26_2_cpu
  - pydantic=2.10.4=pyh3cfb1c2_0
  - pydantic-core=2.27.2=py311h9e33e62_0
  - pydub=0.25.1=pyhd8ed1ab_1
  - pygments=2.18.0=pyhd8ed1ab_1
  - pyparsing=3.2.0=pyhd8ed1ab_2
  - pyqt=5.15.10=py311h6a678d5_0
  - pyqt5-sip=12.13.0=py311h5eee18b_0
  - pysocks=1.7.1=py311h06a4308_0
  - python=3.11.8=hab00c5b_0_cpython
  - python-dateutil=2.9.0.post0=pyhff2d567_1
  - python-dotenv=1.0.1=pyhd8ed1ab_1
  - python-multipart=0.0.20=pyhff2d567_0
  - python-tzdata=2024.2=pyhd8ed1ab_1
  - python-xxhash=3.5.0=py311h9ecbd09_1
  - python_abi=3.11=5_cp311
  - pytorch=2.3.1=py3.11_cuda12.1_cudnn8.9.2_0
  - pytorch-cuda=12.1=ha16c6d3_6
  - pytorch-mutex=1.0=cuda
  - pytz=2024.1=pyhd8ed1ab_0
  - pyyaml=6.0.2=py311h9ecbd09_1
  - qhull=2020.2=h434a139_5
  - qt-main=5.15.2=hb6262e9_11
  - re2=2023.09.01=h7f4b329_2
  - readline=8.2=h5eee18b_0
  - regex=2024.11.6=py311h9ecbd09_0
  - requests=2.32.3=py311h06a4308_1
  - rich=13.9.4=pyhd8ed1ab_1
  - rich-toolkit=0.11.3=pyh29332c3_0
  - ruff=0.8.4=py311h100434b_0
  - s2n=1.4.15=he19d79f_0
  - sacrebleu=2.4.1=pyhd8ed1ab_1
  - sacremoses=0.0.53=pyhd8ed1ab_0
  - safetensors=0.4.5=py311h9e33e62_0
  - scipy=1.14.1=py311he9a78e4_2
  - semantic_version=2.10.0=pyhd8ed1ab_0
  - sentencepiece=0.2.0=h38be061_4
  - sentencepiece-python=0.2.0=py311had49c87_4
  - sentencepiece-spm=0.2.0=hc656cff_4
  - setuptools=75.1.0=py311h06a4308_0
  - shellingham=1.5.4=pyhd8ed1ab_1
  - shtab=1.7.1=pyhd8ed1ab_1
  - sip=6.7.12=py311hb755f60_0
  - six=1.17.0=pyhd8ed1ab_0
  - snappy=1.2.1=h8bd8927_1
  - sniffio=1.3.1=pyhd8ed1ab_1
  - sqlite=3.45.3=h5eee18b_0
  - sse-starlette=2.2.1=pyhd8ed1ab_0
  - starlette=0.41.3=pyha770c72_1
  - svt-av1=2.1.0=hac33072_0
  - sympy=1.13.3=py311h06a4308_0
  - tabulate=0.9.0=pyhd8ed1ab_2
  - tbb=2021.13.0=hceb3a55_1
  - termcolor=2.5.0=pyhd8ed1ab_1
  - tiktoken=0.8.0=py311hf1706b8_1
  - tk=8.6.14=h39e8969_0
  - tokenizers=0.20.4=py311h182c674_0
  - tomli=2.2.1=pyhd8ed1ab_1
  - tomlkit=0.12.0=pyha770c72_0
  - torchaudio=2.3.1=py311_cu121
  - torchtriton=2.3.1=py311
  - torchvision=0.18.1=py311_cu121
  - tornado=6.4.2=py311h9ecbd09_0
  - tqdm=4.67.1=pyhd8ed1ab_0
  - transformers=4.46.1=pyhd8ed1ab_0
  - trl=0.9.6=pyhd8ed1ab_0
  - typer=0.15.1=pyhd8ed1ab_0
  - typer-slim=0.15.1=pyhd8ed1ab_0
  - typer-slim-standard=0.15.1=hd8ed1ab_0
  - typing=3.10.0.0=pyhd8ed1ab_2
  - typing-extensions=4.12.2=py311h06a4308_0
  - typing_extensions=4.12.2=py311h06a4308_0
  - tyro=0.8.14=pyhd8ed1ab_0
  - tzdata=2024b=h04d1e81_0
  - unicodedata2=15.1.0=py311h9ecbd09_1
  - urllib3=2.2.3=py311h06a4308_0
  - uvicorn=0.34.0=pyh31011fe_0
  - uvicorn-standard=0.34.0=h31011fe_0
  - uvloop=0.21.0=py311h9ecbd09_1
  - watchfiles=1.0.3=py311h9e33e62_0
  - websockets=12.0=py311h459d7ec_0
  - wheel=0.44.0=py311h06a4308_0
  - x264=1!164.3095=h166bdaf_2
  - x265=3.5=h924138e_3
  - xkeyboard-config=2.42=h4ab18f5_0
  - xorg-fixesproto=5.0=hb9d3cd8_1003
  - xorg-kbproto=1.0.7=hb9d3cd8_1003
  - xorg-libice=1.1.2=hb9d3cd8_0
  - xorg-libsm=1.2.5=he73a12e_0
  - xorg-libx11=1.8.9=h8ee46fc_0
  - xorg-libxau=1.0.12=hb9d3cd8_0
  - xorg-libxdmcp=1.1.5=hb9d3cd8_0
  - xorg-libxext=1.3.4=h0b41bf4_2
  - xorg-libxfixes=5.0.3=h7f98852_1004
  - xorg-libxrender=0.9.11=hd590300_0
  - xorg-renderproto=0.11.1=hb9d3cd8_1003
  - xorg-xextproto=7.3.0=hb9d3cd8_1004
  - xorg-xproto=7.0.31=hb9d3cd8_1008
  - xxhash=0.8.2=hd590300_0
  - xz=5.4.6=h5eee18b_1
  - yaml=0.2.5=h7b6447c_0
  - yarl=1.18.3=py311h9ecbd09_0
  - zipp=3.21.0=pyhd8ed1ab_1
  - zlib=1.2.13=h4ab18f5_6
  - zstd=1.5.6=hc292b87_0
